Bug 40185 - [UWP] ContentPage does not have proper right bounds in landscape
Summary: [UWP] ContentPage does not have proper right bounds in landscape
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.2.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-04-07 06:21 UTC by Paul DiPietro [MSFT]
Modified: 2016-04-12 19:49 UTC (History)
1 user (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Reproduction Project (272.62 KB, application/x-zip-compressed)
2016-04-07 06:22 UTC, Paul DiPietro [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Paul DiPietro [MSFT] 2016-04-07 06:21:36 UTC
On phone devices running a UWP app, when using a single content page by itself, going into landscape causes the bounds to incorrectly set so that text overflows into where the TitleBar would otherwise be.

## Reproduction Steps ##

1) Run the attached reproduction on a UWP/Win 10 phone device (simulator has not seemed to display the problem)
2) Turn the phone to landscape mode

## Expected Result ##

The label's text stays within the visible bounds.

## Actual Result ##

The label's text runs underneath the StatusBar.
Comment 1 Paul DiPietro [MSFT] 2016-04-07 06:22:36 UTC
Created attachment 15637 [details]
Reproduction Project
Comment 2 Paul DiPietro [MSFT] 2016-04-12 19:49:34 UTC
Should be fixed in 2.2.0-pre3